curl --request GET \
--url https://api.splose.com/v1/appointments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/appointments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.splose.com/v1/appointments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.splose.com/v1/appointments/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.splose.com/v1/appointments/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.splose.com/v1/appointments/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1,
"start": "2023-07-30T09:00:00.000Z",
"end": "2023-07-30T09:00:00.000Z",
"serviceId": 1,
"locationId": 1,
"practitionerId": 1,
"maxPatients": 1,
"appointmentPatients": [
{
"appointmentId": 1,
"patientId": 1,
"caseId": 1,
"status": null,
"note": "Some notes",
"invoiceId": 1,
"cancellationReason": "Other",
"cancellationRate": 30,
"cancellationNote": "Some notes",
"statusUpdatedAt": "2023-07-30T09:00:00.000Z",
"doNotInvoice": false
}
],
"repeatId": "12345678-abcd-4321-dcba-12a34b56c78d",
"recurringRule": "DTSTART:2023080T010000ZRRULE:FREQ=WEEKLY;INTERVAL=2;COUNT=6",
"unit": "Hour",
"pricing": 193.99,
"total": 193.99,
"taxType": "STANDARD",
"supportItemIds": [
1
],
"note": "Some notes",
"deletedAt": "2023-07-30T09:00:00.000Z",
"isUnavailableBlock": false,
"busyTimePractitionerIds": [],
"archived": false,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Get a single appointment
Get appointment data by id
curl --request GET \
--url https://api.splose.com/v1/appointments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/appointments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.splose.com/v1/appointments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.splose.com/v1/appointments/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.splose.com/v1/appointments/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.splose.com/v1/appointments/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1,
"start": "2023-07-30T09:00:00.000Z",
"end": "2023-07-30T09:00:00.000Z",
"serviceId": 1,
"locationId": 1,
"practitionerId": 1,
"maxPatients": 1,
"appointmentPatients": [
{
"appointmentId": 1,
"patientId": 1,
"caseId": 1,
"status": null,
"note": "Some notes",
"invoiceId": 1,
"cancellationReason": "Other",
"cancellationRate": 30,
"cancellationNote": "Some notes",
"statusUpdatedAt": "2023-07-30T09:00:00.000Z",
"doNotInvoice": false
}
],
"repeatId": "12345678-abcd-4321-dcba-12a34b56c78d",
"recurringRule": "DTSTART:2023080T010000ZRRULE:FREQ=WEEKLY;INTERVAL=2;COUNT=6",
"unit": "Hour",
"pricing": 193.99,
"total": 193.99,
"taxType": "STANDARD",
"supportItemIds": [
1
],
"note": "Some notes",
"deletedAt": "2023-07-30T09:00:00.000Z",
"isUnavailableBlock": false,
"busyTimePractitionerIds": [],
"archived": false,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
x > 01
Response
Object with appointment data.
Appointment id
x > 01
Appointment start date time
"2023-07-30T09:00:00.000Z"
Appointment end date time
"2023-07-30T09:00:00.000Z"
The service id of this appointment
x > 01
The location id of this appointment
x > 01
The practitioner id of this appointment
x > 01
The max patient number of this appointment. A number greater than 1 indicates a group appointment.
x > 0The status of each patient of this appointment
Show child attributes
Show child attributes
An recurring appointment will have this repeat id
"12345678-abcd-4321-dcba-12a34b56c78d"
The rule for recurring appointment
"DTSTART:2023080T010000ZRRULE:FREQ=WEEKLY;INTERVAL=2;COUNT=6"
The appointment unit
Hour, Each The appointment unit price, in dollar
193.99
The appointment total price without tax, in dollar
193.99
Tax type, check Splose support for more info
STANDARD, ZERO, EXEMPT, REDUCED "STANDARD"
Array of support item ids of this appointment
x > 0[1]
The appointment note
"Some notes"
Object archived date time
"2023-07-30T09:00:00.000Z"
Whether the appointment has been archived
Object creation date time
"2023-07-30T09:00:00.000Z"
Object update date time
"2023-07-30T09:00:00.000Z"